package cn.com.victorysoft.business.sys.dao;

import cn.com.victorysoft.business.sys.entity.WellGroup;
import cn.com.victorysoft.business.sys.param.UnitGroupWellParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WellGroupDao {
    int deleteByPrimaryKey(String id);

    int insert(WellGroup record);

    WellGroup selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(WellGroup record);

    int updateByPrimaryKey(WellGroup record);

    List<WellGroup> selectWellGroupList(UnitGroupWellParam param);

    List<WellGroup> selectByOilWellname(String wellname);
}
